do
	local frame, events = CreateFrame("Frame"), {};
	function events:PLAYER_REGEN_DISABLED(...)
	    -- In Combat
	    hide_minimap(self, ...)
	end
	function events:PLAYER_REGEN_ENABLED(...)
	   -- Out of Combat
	   --[===[@debug@ 
	   DEFAULT_CHAT_FRAME:AddMessage("HideMinimapInCombat - Out Of Combat");
	   --@end-debug@]===]
	   show_minimap(self, ...)
	end
	frame:SetScript("OnEvent", function(self, event, ...)
	    events[event](self, ...); -- call one of the functions above
	end);
	for k, v in pairs(events) do
	    frame:RegisterEvent(k); -- Register all events for which handlers have been defined
	end
end

function hide_minimap(self, ...)
	MinimapCluster:Hide();
	Minimap:Hide();
end

function show_minimap(self, ...)
	MinimapCluster:Show();
	Minimap:Show();
end